/* x-mono | IOSEVKA | (Regular + Oblique + Italic) × (400 + 700) */

@font-face { 
  font-display: swap;
  font-family: 'Iosevka';
  font-style: normal;
  font-weight: 400;
  src: url('x-mono-iosevka-400-regular.woff2') format('woff2');  
  }

@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: oblique;
  font-weight: 400;
  src: url('x-mono-iosevka-400-oblique.woff2') format('woff2');  
  }
  
@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: italic;
  font-weight: 400;
  src: url('x-mono-iosevka-400-italic.woff2') format('woff2');  
  }

@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: normal;
  font-weight: 700;
  src: url('x-mono-iosevka-700-regular.woff2') format('woff2');   
  }

@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: oblique;
  font-weight: 700;
  src: url('x-mono-iosevka-700-oblique.woff2') format('woff2');  
  }

@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: italic;
  font-weight: 700;
  src: url('x-mono-iosevka-700-italic.woff2') format('woff2'); 
  }


/* x-mono | IOSEVKA - Shavian */
@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: normal;
  font-weight: 400;
  src: url('Shaw-iotacism43-400-regular.woff2') format('woff2'); 
  unicode-range: U+FE00-FE0F, U+10450-1047F;
  
  }
  
@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: italic; /* faux */
  font-weight: 400;
  src: url('Shaw-iotacism43-400-regular.woff2') format('woff2'); 
  unicode-range: U+FE00-FE0F, U+10450-1047F;
  }

@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: normal;
  font-weight: 700; /* faux */
  src: url('Shaw-iotacism43-400-regular.woff2') format('woff2'); 
  unicode-range: U+FE00-FE0F, U+10450-1047F; 
  }
  
@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: italic; /* faux */
  font-weight: 700; /* faux */
  src: url('Shaw-iotacism43-400-regular.woff2') format('woff2'); 
  unicode-range: U+FE00-FE0F, U+10450-1047F;
  }


/* x-mono | IOSEVKA - Braille from Quivira */
@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: normal;
  font-weight: 400;
  src: url('Brai-quivira-subset-400-regular.woff2') format('woff2'); 
  unicode-range: U+2800-28FF;
  size-adjust: 120%; 
  }
  
@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: italic; /* faux */
  font-weight: 400;
  src: url('Brai-quivira-subset-400-regular.woff2') format('woff2'); 
  unicode-range: U+2800-28FF;
  size-adjust: 120%; 
  }
  
@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: normal;
  font-weight: 700;
  src: url('Brai-quivira-subset-400-regular.woff2') format('woff2'); 
  unicode-range: U+2800-28FF;
  size-adjust: 120%; 
  }
  
@font-face {
  font-display: swap;
  font-family: 'Iosevka';
  font-style: italic;
  font-weight: 700;
  src: url('Brai-quivira-subset-400-regular.woff2') format('woff2'); 
  unicode-range: U+2800-28FF;
  size-adjust: 120%; 
  }
  

/*

unicode-range: U+000D, U+0020-007E, U+00A0-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, 
        U+03A3-03E1, U+03F0-0487, U+048A-052F, U+0531-0556, U+0559-058A, U+058D-058F, U+0E3F, U+10FB, 
        U+1AB0-1AB5, U+1ABB-1ABD, U+1ABF-1ACE, U+1C80-1C8A, U+1D00-1DBF, U+1DC3-1DC7, U+1DCA-1DCF, 
        U+1DD3-1DD5, U+1DD7-1F15, U+1F18-1F1D, U+1F20-1F45, U+1F48-1F4D, U+1F50-1F57, U+1F59, U+1F5B, 
        U+1F5D, U+1F5F-1F7D, U+1F80-1FB4, U+1FB6-1FC4, U+1FC6-1FD3, U+1FD6-1FDB, U+1FDD-1FEF, 
        U+1FF2-1FF4, U+1FF6-1FFE, U+2000-200D, U+2010-2029, U+202F-2064, U+2070-2071, U+2074-208E, 
        U+2090-209C, U+20A1, U+20A3-20AF, U+20B1-20B5, U+20B8-20BA, U+20BC-20C0, U+20D2-20D3, 
        U+20D6-20D8, U+20DB-20DC, U+20E1, U+20E5-20E6, U+20E8-20E9, U+20EB, U+20EE-20F0, U+2100-2103, 
        U+2105-2109, U+210C-210F, U+2111, U+2113, U+2115-211A, U+211C-211D, U+2120-2122, U+2124, 
        U+2126-212B, U+212D-212E, U+2132, U+2135-2149, U+214B, U+214D-218B, U+2190-232B, U+232D-237B, 
        U+237D-237F, U+2384-238B, U+238D, U+2394-2395, U+239B-23AE, U+23B0-23B3, U+23B8-23CC, 
        U+23CE-23CF, U+23DA-23DB, U+23E2, U+23E4-23E5, U+23E8-2429, U+2440-2445, U+2460-2600, 
        U+2605-2607, U+2610-2613, U+261C-261F, U+2626, U+2628, U+2630-2637, U+2639-263C, U+263F-2642, 
        U+2660-2667, U+2669-266F, U+2680-2687, U+268A-2691, U+2699, U+269B, U+26A1, U+26AA-26AF, 
        U+26B2, U+26CB, U+26DA, U+26DD-26DE, U+26ED-26EF, U+26F6, U+2713-2718, U+271A-271D, 
        U+2720-2727, U+2731-2734, U+2736-274C, U+2756, U+2758-275A, U+2761, U+2764, U+276C-2771, 
        U+2776-2794, U+279C-279E, U+27A1-27A7, U+27B0, U+27BF, U+27C2, U+27CA-27CB, U+27CD, 
        U+27D2-27E1, U+27E6-27EB, U+27EE-2926, U+2940-2941, U+2947-2948, U+294A-2965, U+296E-296F, 
        U+2980-2984, U+2987-298A, U+2999-299A, U+29A2-29A3, U+29B0-29BF, U+29C4-29CB, U+29CD-29CE, 
        U+29D1-29DB, U+29DF, U+29E2-29E9, U+29EB, U+29F4-29FB, U+2A00-2A02, U+2A05-2A06, U+2A09, 
        U+2A11-2A16, U+2A1D-2A1F, U+2A22-2A26, U+2A2A-2A32, U+2A34-2A36, U+2A38, U+2A3C-2A43, 
        U+2A4C-2A4F, U+2A53-2A54, U+2A57-2A58, U+2A5A-2A5B, U+2A5E-2A73, U+2A7D-2A80, U+2A85-2A8A, 
        U+2A8D-2A8E, U+2A95-2A9A, U+2A9D-2A9E, U+2AAA-2ABA, U+2ABD-2ABE, U+2ACF-2AD2, U+2AD9-2AE0, 
        U+2AE2-2AF6, U+2AFC-2AFD, U+2B00-2B3E, U+2B45-2B46, U+2B4D, U+2B50-2B55, U+2B58-2B59, 
        U+2B60-2B73, U+2B7A-2B87, U+2B8C-2B95, U+2BA0-2BA7, U+2BB8-2BC8, U+2BCA-2BD0, U+2BD2, 
        U+2BE8-2BEF, U+2BFA-2BFF, U+2C60-2C7F, U+2DE0-2DFF, U+2E0B-2E0D, U+2E12-2E13, U+2E18, 
        U+2E1A-2E25, U+2E28-2E38, U+2E3D-2E3E, U+2E40-2E4B, U+2E52, U+2E59-2E5C, U+3251-325F, 
        U+32B1-32BF, U+4DC0-4DFF, U+A640-A66F, U+A674-A67F, U+A682-A68D, U+A692-A695, U+A698-A69F, 
        U+A700-A727, U+A730-A737, U+A73E-A745, U+A748-A74B, U+A74E-A751, U+A75A-A75B, U+A764-A767, 
        U+A779-A795, U+A798-A7C1, U+A7C4-A7CD, U+A7DA-A7DC, U+A7F2-A7FF, U+A92E, U+AB30-AB33, 
        U+AB35-AB42, U+AB45-AB46, U+AB4B-AB4F, U+AB52-AB53, U+AB5B-AB6B, U+E0A0-E0A3, U+E0AE-E0BF, 
        U+EE00-EE0B, U+EF01-EF02, U+EF06-EF12, U+FB00-FB06, U+FB29, U+FEFF, U+FFFC-FFFD, 
        U+10780-10785, U+10787-107B0, U+107B2-107BA, U+1CC00-1CC45, U+1CC56-1CC63, U+1CC65-1CC91, 
        U+1CC97-1CC9D, U+1CCA6-1CCB9, U+1CCD2-1CCF9, U+1CD00-1CDE5, U+1CDF0-1CDF7, U+1CDFB-1CDFC, 
        U+1CE00-1CEB1, U+1CEB3, U+1D110-1D111, U+1D12A-1D133, U+1D18C-1D191, U+1D300-1D356, 
        U+1D360-1D371, U+1D377-1D378, U+1D400-1D454, U+1D456-1D49B, U+1D504-1D505, U+1D507-1D50A, 
        U+1D50D-1D514, U+1D516-1D51C, U+1D51E-1D539, U+1D53B-1D53E, U+1D540-1D544, U+1D546, 
        U+1D54A-1D550, U+1D552-1D6A5, U+1D6A8-1D7CB, U+1D7CE-1D7FF, U+1DF01-1DF10, U+1DF12-1DF1E, 
        U+1E030-1E06D, U+1E08F, U+1F0A0-1F0AE, U+1F0B1-1F0BF, U+1F0C1-1F0CF, U+1F0D1-1F0F5, 
        U+1F100-1F1AD, U+1F1E6-1F1FF, U+1F311-1F318, U+1F377, U+1F514, U+1F547-1F548, U+1F550-1F567, 
        U+1F5A4, U+1F5C0, U+1F610, U+1F636, U+1F641-1F643, U+1F780-1F7BF, U+1F800-1F80B, 
        U+1F810-1F847, U+1F850-1F859, U+1F860-1F887, U+1F8B0-1F8BB, U+1F8C0-1F8C1, U+1F907, U+1F90D, 
        U+1FB00-1FB92, U+1FB94-1FBCA, U+1FBCC, U+1FBCE-1FBF9;
}

*/

:is(.io, .iosevka), 
:is(.io, .iosevka) * { 
    font-family: "Iosevka";
    font-variant-numeric: 
        lining-nums 
        slashed-zero;
    font-variant-ligatures: 
        contextual 
        discretionary-ligatures; 
        
    &.ss17 {
    font-feature-settings: 
"ss17" 1, 
"cv03" 1, 
"cv06" 3, 
"cv09" 2, 
"cv26" 5, 
"cv41" 16, 
"cv44" 6, 
"cv47" 13, 
"cv51" 7, 
"cv52" 13, 
"WWID" 1, 
"calt" 1, 
"zero" 1;
    }
    
    &.ss18 { 
    font-feature-settings: 
"ss18" 1, 
"cv03" 1, 
"cv06" 3, 
"cv09" 2, 
"cv26" 5, 
"cv41" 15, 
"cv44" 6, 
"cv47" 13, 
"cv51" 7, 
"cv52" 13, 
"WWID" 1, 
"calt" 1, 
"zero" 1; 
    }
}



/* OpenType feature values as CSS variables */
/*
:root, html {
    --APLF: 1;
    --CLIK: 1;
    --COQX: 1;
    --DFNY: 1;
    --ELMX: 1;
    --ERLA: 1;
    --FSHP: 1;
    --FSTA: 1;
    --HSKL: 1;
    --IDRS: 1;
    --JLIA: 1;
    --JSPT: 1;
    --MLXX: 1;
    --MOSC: 1;
    --MTLB: 1;
    --NWID: 1;
    --PHPX: 1;
    --PURS: 1;
    --RAKU: 1;
    --SWFT: 1;
    --THND: 1;
    --VAAA: 1;
    --VAAB: 1;
    --VAAC: 1;
    --VAAD: 1;
    --VAAE: 1;
    --VAAF: 1;
    --VAAG: 1;
    --VAAH: 1;
    --VAAI: 1;
    --VAAJ: 1;
    --VAAK: 1;
    --VDAA: 1;
    --VDAB: 1;
    --VDAC: 1;
    --VDAD: 1;
    --VLAA: 1;
    --VLAB: 1;
    --VLAC: 1;
    --VLAD: 1;
    --VLAE: 1;
    --VLAF: 1;
    --VLAG: 1;
    --VRLG: 1;
    --VSAA: 1;
    --VSAB: 1;
    --VSAC: 1;
    --VSAD: 1;
    --VSAE: 1;
    --VSAF: 1;
    --VSAG: 1;
    --VSAH: 1;
    --VSAI: 1;
    --VSAJ: 1;
    --VSAK: 1;
    --VSAL: 1;
    --VSAM: 1;
    --VSAN: 1;
    --VSAO: 1;
    --VSAQ: 1;
    --VSAR: 1;
    --VSAS: 1;
    --VSAT: 1;
    --VXAA: 1;
    --VXAB: 1;
    --WFLM: 1;
    --WWID: 1;
    --ccmp: 1;
    --cv01: 0; 
  --cv02: 0; 
  --cv03: 1; 
  --cv04: 0; 
  --cv05: 0; 
  --cv06: 3; 
  --cv07: 0; 
  --cv08: 0; 
  --cv09: 2; 
  --cv10: 0; 
    --cv11: 0;
    --cv12: 0;
    --cv13: 0;
    --cv14: 0;
    --cv15: 0;
    --cv16: 0;
    --cv17: 0;
    --cv18: 0;
    --cv19: 0;
    --cv20: 0;
    --cv21: 0;
    --cv22: 0;
    --cv23: 0;
    --cv24: 0;
    --cv25: 0;
    --cv26: 5;
    --cv27: 0;
    --cv28: 0;
    --cv29: 0;
    --cv30: 0;
    --cv31: 0;
    --cv32: 0;
    --cv33: 0;
    --cv34: 0;
    --cv35: 0;
    --cv36: 0;
    --cv37: 0;
    --cv38: 0;
    --cv39: 0;
    --cv40: 0;
    --cv41: 15;
    --cv42: 0;
    --cv43: 0;
    --cv44: 6;
    --cv45: 0;
    --cv46: 0;
    --cv47: 13;
    --cv48: 0;
    --cv49: 0;
    --cv50: 0;
    --cv51: 12;
    --cv52: 13;
    --cv53: 0;
    --cv54: 0;
    --cv55: 0;
    --cv56: 0;
    --cv57: 0;
    --cv58: 0;
    --cv59: 0;
    --cv60: 0;
    --cv61: 0;
    --cv62: 0;
    --cv63: 0;
    --cv64: 0;
    --cv65: 0;
    --cv66: 0;
    --cv67: 0;
    --cv68: 0;
    --cv69: 0;
    --cv70: 0;
    --cv71: 0;
    --cv72: 0;
    --cv73: 0;
    --cv74: 0;
    --cv75: 0;
    --cv76: 0;
    --cv77: 0;
    --cv78: 0;
    --cv79: 0;
    --cv80: 0;
    --cv81: 0;
    --cv82: 0;
    --cv83: 0;
    --cv84: 0;
    --cv85: 0;
    --cv86: 0;
    --cv87: 0;
    --cv88: 0;
    --cv89: 0;
    --cv90: 0;
    --cv91: 0;
    --cv92: 0;
    --cv93: 0;
    --cv94: 0;
    --cv95: 0;
    --cv96: 0;
    --cv97: 0;
    --cv98: 0;
    --cv99: 0;
    --dnom: 0;
    --locl: 1;
    --numr: 0;
    --ss01: 0;
    --ss02: 0;
    --ss03: 0;
    --ss04: 0;
    --ss05: 0;
    --ss06: 0;
    --ss07: 0;
    --ss08: 0;
    --ss09: 0;
    --ss10: 0;
    --ss11: 0;
    --ss12: 0;
    --ss13: 0;
    --ss14: 0;
    --ss15: 0;
    --ss16: 0;
    --ss17: 1;
    --ss18: 0;
    --ss20: 0;
    --mark: 1;
    --mkmk: 1;
}
*/

/* Classes to apply variables */
/*
.ss01 { --ss01: 0; }

.ss02 { --ss02: 0; }

.ss03 { --ss03: 0; }

.ss04 { --ss04: 0; }

.ss05 { --ss05: 0; }

.ss06 { --ss06: 0; }

.ss07 { --ss07: 0; }

.ss08 { --ss08: 0; }

.ss09 { --ss09: 0; }

.ss10 { --ss10: 0; }

.ss11 { --ss11: 0; }

.ss12 { --ss12: 0; }

.ss13 { --ss13: 0; }

.ss14 { --ss14: 0; }

.ss15 { --ss15: 0; }

.ss16 { --ss16: 0; }

.ss17 { --ss17: 1; }

.ss18 { --ss18: 0; }

.ss20 { --ss20: 0; }
*/
.calt { font-variant-ligatures: contextual; }

/* older browsers: */
@supports not (font-variant-ligatures: contextual) { 
  .calt {     
    font-feature-settings: "calt" 1;
  }
}

.ccmp { --ccmp: 0; }

.dlig { 
  font-variant-ligatures: discretionary-ligatures; 
  }

/* older browsers: */
@supports not (font-variant-ligatures: discretionary-ligatures) { 
.dlig { 
    font-feature-settings: "dlig" 1;
  }
}

.dnom { --dnom: 1; }

.frac { 
  font-variant-numeric: diagonal-fractions; 
}

/* older browsers: */
@supports not (font-variant-numeric: diagonal-fractions) { 
  .frac { 
    font-feature-settings: "frac" 1;
  }
}

.lnum { font-variant-numeric: lining-nums; }

/* older browsers: */
@supports not (font-variant-numeric: lining-nums) { 
  .lnum { 
    font-feature-settings: "lnum" 1;
  }
}

.locl { --locl: 1; }

.numr { --numr: 1; }

.onum { font-variant-numeric: oldstyle-nums; }

/* older browsers: */
@supports not (font-variant-numeric: oldstyle-nums) { 
  .onum { 
    font-feature-settings: "onum" 1;
  }
}

.zero { font-variant-numeric: slashed-zero; }

/* older browsers: */
@supports not (font-variant-numeric: slashed-zero) { 
  .zero { 
    font-feature-settings: "zero" 1;
  }
}

.mark { --mark: 1; }

.mkmk { --mkmk: 1; }

.APLF { --APLF: 0; }

.CLIK { --CLIK: 0; }

.COQX { --COQX: 0; }

.DFNY { --DFNY: 0; }

.ELMX { --ELMX: 0; }

.ERLA { --ERLA: 0; }

.FSHP { --FSHP: 0; }

.FSTA { --FSTA: 0; }

.HSKL { --HSKL: 0; }

.IDRS { --IDRS: 0; }

.JLIA { --JLIA: 0; }

.JSPT { --JSPT: 0; }

.MLXX { --MLXX: 0; }

.MOSC { --MOSC: 0; }

.MTLB { --MTLB: 0; }

.NWID { --NWID: 0; }

.PHPX { --PHPX: 0; }

.PURS { --PURS: 0; }

.RAKU { --RAKU: 0; }

.SWFT { --SWFT: 0; }

.THND { --THND: 0; }

.VAAA { --VAAA: 1; }

.VAAB { --VAAB: 1; }

.VAAC { --VAAC: 1; }

.VAAD { --VAAD: 1; }

.VAAE { --VAAE: 1; }

.VAAF { --VAAF: 1; }

.VAAG { --VAAG: 1; }

.VAAH { --VAAH: 1; }

.VAAI { --VAAI: 1; }

.VAAJ { --VAAJ: 1; }

.VAAK { --VAAK: 1; }

.VDAA { --VDAA: 1; /* i & j dot shape, 1 to 2 */ }

.VDAB { --VDAB: 1; }

.VDAC { --VDAC: 1;  /* symbol dot shape, 1 to 2 */ }

.VDAD { --VDAD: 1; }

.VLAA { --VLAA: 1; }

.VLAB { --VLAB: 1; }

.VLAC { --VLAC: 1; }

.VLAD { --VLAD: 1; }

.VLAE { --VLAE: 1; }

.VLAF { --VLAF: 1; }

.VLAG { --VLAG: 1; }

.VRLG { --VRLG: 1; }

.VSAA { --VSAA: 1; }

.VSAB { --VSAB: 1; }

.VSAC { --VSAC: 1; }

.VSAD { --VSAD: 1; }

.VSAE { --VSAE: 1; }

.VSAF { --VSAF: 1; }

.VSAG { --VSAG: 2; /* parentheses, 1 to 3 */ }

.VSAH { --VSAH: 1; /* curly brackets, 1 to 3 */ }

.VSAI { --VSAI: 1; }

.VSAJ { --VSAJ: 1; }

.VSAK { --VSAK: 1;  /* ampersand, 1 to 6 */ }

.VSAL { --VSAL: 1; }

.VSAM { --VSAM: 3; /* dollar, 1 to 12 */ }

.VSAN { --VSAN: 3; /* cent, 1 to 12 */ }

.VSAO { --VSAO: 3; /* percentage, 1 to 4 */ }

.VSAQ { --VSAQ: 1;  /* question mark, 1 to 3 */ }

.VSAR { --VSAR: 1; }

.VSAS { --VSAS: 1; }

.VSAT { --VSAT: 1; }

.VXAA { --VXAA: 1; }

.VXAB { --VXAB: 1; }

.WFLM { --WFLM: 0; }

.WWID { --WWID: 1; }

.cv01 { --cv01: 3; /* 1 to 9 */ }

.cv02 { --cv02: 4; /* 1 to 4 */ }

.cv03 { --cv03: 1; /* 1 to 3 */ }

.cv04 { --cv04: 10; /* 1 to 12 */ }

.cv05 { --cv05: 8; /* 1 to 8 */ }

.cv06 { --cv06: 3; /* 1 to 3 */ }

.cv07 { --cv07: 4; /* 1 to 12 */ }

.cv08 { --cv08: 1; /* 1 to 3 */ }

.cv09 { --cv09: 2; /* 1 to 3 */ }

.cv10 { --cv10: 24; /* 1 to 54 */ }

.cv11 { --cv11: 1; /* 1 to 10 */ }

.cv12 { --cv12: 1; /* 1 to 12 */ }

.cv13 { --cv13: 1; /* 1 to 5 */ }

.cv14 { --cv14: 1; /* 1 to 6 */ }

.cv15 { --cv15: 1; /* 1 to 4 */ }

.cv16 { --cv16: 1; /* 1 to 4 */ }

.cv17 { --cv17: 1; /* 1 to 27 */ }

.cv18 { --cv18: 1; /* 1 to 4 */ }

.cv19 { --cv19: 2; /* I, 1 to 3 */ }

.cv20 { --cv20: 4; /* J, 1 to 14 */ }

.cv21 { --cv21: 1; /* 1 to 32 */ }

.cv22 { --cv22: 1; /* 1 to 3 */ }

.cv23 { --cv23: 1; /* 1 to 12 */ }

.cv24 { --cv24: 1; /* 1 to 6 */ }

.cv25 { --cv25: 1; /* 1 to 6 */ }

.cv26 { --cv26: 5; /* Q, 1 to 11 */ }

.cv27 { --cv27: 1; /* 1 to 30 */ }

.cv28 { --cv28: 1; /* 1 to 5 */ }

.cv29 { --cv29: 1; /* 1 to 3 */ }

.cv30 { --cv30: 1; /* 1 to 15 */ }

.cv31 { --cv31: 1; /* 1 to 6 */ }

.cv32 { --cv32: 1; /* 1 to 36 */ }

.cv33 { --cv33: 1; /* 1 to 8 */ }

.cv34 { --cv34: 1; /* 1 to 8 */ }

.cv35 { --cv35: 1; /* 1 to 27 */ }

.cv36 { --cv36: 3; /* a, 1 to 24 */ }

.cv37 { --cv37: 1; /* 1 to 9 */ }

.cv38 { --cv38: 1; /* 1 to 5 */ }

.cv39 { --cv39: 1; /* 1 to 10 */ }

.cv40 { --cv40: 1; /* 1 to 2 */ }

.cv41 { --cv41: 15; /* f, 1 to 20 */ }

.cv42 { --cv42: 1; /* g, 1 to 12 */ }

.cv43 { --cv43: 1; /* h, 1 to 7 */ }

.cv44 { --cv44: 6; /* i, 1 to 14 */ }

.cv45 { --cv45: 1; /* j, 1 to 8 */ }

.cv46 { --cv46: 1; /* 1 to 40 */ }

.cv47 { --cv47: 13; /* l, 1 to 14 */ }

.cv48 { --cv48: 1; /* 1 to 44 */ }

.cv49 { --cv49: 1; /* 1 to 17 */ }

.cv50 { --cv50: 1; /* 1 to 7 */ }

.cv51 { --cv51: 12; /* q, 1 to 20 */ }

.cv52 { --cv52: 13; /* r, 1 to 20 */ }

.cv53 { --cv53: 1; /* 1 to 5 */ }

.cv54 { --cv54: 1; /* 1 to 24 */ }

.cv55 { --cv55: 1; /* 1 to 13 */ }

.cv56 { --cv56: 1; /* 1 to 8 */ }

.cv57 { --cv57: 1; /* 1 to 38 */ }

.cv58 { --cv58: 1; /* 1 to 14 */ }

.cv59 { --cv59: 1; /* 1 to 18 */ }

.cv60 { --cv60: 1; /* 1 to 27 */ }

.cv61 { --cv61: 1; /* 1 to 8 */ }

.cv62 { --cv62: 1; /* 1 to 30 */ }

.cv63 { --cv63: 1; /* 1 to 40 */ }

.cv64 { --cv64: 1; /* 1 to 2 */ }

.cv65 { --cv65: 1; /* 1 to 6 */ }

.cv66 { --cv66: 1; /* 1 to 3 */ }

.cv67 { --cv67: 1; /* 1 to 15 */ }

.cv68 { --cv68: 1; /* 1 to 2 */ }

.cv69 { --cv69: 1; /* 1 to 4 */ }

.cv70 { --cv70: 1; /* 1 to 3 */ }

.cv71 { --cv71: 1; /* 1 to 2 */ }

.cv72 { --cv72: 1; /* 1 to 2 */ }

.cv73 { --cv73: 1; /* 1 to 4 */ }

.cv74 { --cv74: 1; /* 1 to 12 */ }

.cv75 { --cv75: 1; /* 1 to 8 */ }

.cv76 { --cv76: 1; /* 1 to 6 */ }

.cv77 { --cv77: 1; /* 1 to 13 */ }

.cv78 { --cv78: 1; /* 1 to 3 */ }

.cv79 { --cv79: 1; /* 1 to 2 */ }

.cv80 { --cv80: 1; /* 1 to 3 */ }

.cv81 { --cv81: 1; /* 1 to 6 */ }

.cv82 { --cv82: 1; /* 1 to 4 */ }

.cv83 { --cv83: 1; /* 1 to 3 */ }

.cv84 { --cv84: 1; /* 1 to 13 */ }

.cv85 { --cv85: 1; /* 1 to 4 */ }

.cv86 { --cv86: 1; /* 1 to 3 */ }

.cv87 { --cv87: 1; /* 1 to 24 */ }

.cv88 { --cv88: 1; /* 1 to 8 */ }

.cv89 { --cv89: 1; /* 1 to 5 */ }

.cv90 { --cv90: 1; /* 1 to 5 */ }

.cv91 { --cv91: 1; /* 1 to 7 */ }

.cv92 { --cv92: 1; /* 1 to 7 */ }

.cv93 { --cv93: 1; /* 1 to 28 */ }

.cv94 { --cv94: 1; /* 1 to 28 */ }

.cv95 { --cv95: 1; /* 1 to 2 */ }

.cv96 { --cv96: 1; /* 1 to 12 */ }

.cv97 { --cv97: 1; /* 1 to 4 */ }

.cv98 { --cv98: 1; /* 1 to 7 */ }

.cv99 { --cv99: 1; /* 1 to 6 */ }


.numerals { 
  --cv01: 3; 
  --cv02: 4; 
  --cv03: 1; 
  --cv04: 10; 
  --cv05: 8; 
  --cv06: 3; 
  --cv07: 4; 
  --cv08: 1; 
  --cv09: 2; 
  --cv10: 24; 
}



/* _____ */
/* apply OpenType features using CSS classes */

/*
:is(.io, .iosevka):is(.ss01, .ss02, .ss03, 
.ss04, .ss05, .ss06, 
.ss07, .ss08, .ss09, 
.ss10, .ss11, .ss12, 
.ss13, .ss14, .ss15, 
.ss16, .ss17, .ss18, 
.ss19, .ss20, 
.dnom, .locl, .numr, .mark, .mkmk,
.APLF, .CLIK, 
        .COQX, .DFNY, .ELMX, 
        .ERLA, .FSHP, .FSTA, 
        .HSKL, .IDRS, .JLIA, 
        .JSPT, .MLXX, .MOSC, 
        .MTLB, .NWID, .PHPX, 
        .PURS, .RAKU, .SWFT, 
        .THND, .VAAA, .VAAB, 
        .VAAC, .VAAD, .VAAE, 
        .VAAF, .VAAG, .VAAH, 
        .VAAI, .VAAJ, .VAAK, 
        .VDAA, .VDAB, .VDAC, 
        .VDAD, .VLAA, .VLAB, 
        .VLAC, .VLAD, .VLAE, 
        .VLAF, .VLAG, .VRLG, 
        .VSAA, .VSAB, .VSAC, 
        .VSAD, .VSAE, .VSAF, 
        .VSAG, .VSAH, .VSAI, 
        .VSAJ, .VSAK, .VSAL, 
        .VSAM, .VSAN, .VSAO, 
        .VSAQ, .VSAR, .VSAS, 
        .VSAT, .VXAA, .VXAB, 
        .WFLM, .WWID,
.cv01, .cv02, .cv03, 
.cv04, .cv05, .cv06, 
.cv07, .cv08, .cv09, 
.cv10, .cv11, .cv12, 
.cv13, .cv14, .cv15, 
.cv16, .cv17, .cv18, 
.cv19, .cv20, .cv21, 
.cv22, .cv23, .cv24, 
.cv25, .cv26, .cv27, 
.cv28, .cv29, .cv30, 
.cv31, .cv32, .cv33, 
.cv34, .cv35, .cv36, 
.cv37, .cv38, .cv39, 
.cv40, .cv41, .cv42, 
.cv43, .cv44, .cv45, 
.cv46, .cv47, .cv48, 
.cv49, .cv50, .cv51, 
.cv52, .cv53, .cv54, 
.cv55, .cv56, .cv57, 
.cv58, .cv59, .cv60, 
.cv61, .cv62, .cv63, 
.cv64, .cv65, .cv66, 
.cv67, .cv68, .cv69, 
.cv70, .cv71, .cv72, 
.cv73, .cv74, .cv75, 
.cv76, .cv77, .cv78, 
.cv79, .cv80, .cv81, 
.cv82, .cv83, .cv84, 
.cv85, .cv86, .cv87, 
.cv88, .cv89, .cv90, 
.cv91, .cv92, .cv93, 
.cv94, .cv95, .cv96, 
.cv97, .cv98, .cv99) { 
  font-family: "Iosevka"; 
  font-variant-numeric: 
  lining-nums
  slashed-zero;
  
  font-variant-ligatures: 
  contextual 
  discretionary-ligatures;
  

  font-feature-settings: 
    "APLF" var(--APLF), 
"CLIK" var(--CLIK), 
"COQX" var(--COQX), 
"DFNY" var(--DFNY), 
"ELMX" var(--ELMX), 
"ERLA" var(--ERLA), 
"FSHP" var(--FSHP), 
"FSTA" var(--FSTA), 
"HSKL" var(--HSKL), 
"IDRS" var(--IDRS), 
"JLIA" var(--JLIA), 
"JSPT" var(--JSPT), 
"MLXX" var(--MLXX), 
"MOSC" var(--MOSC), 
"MTLB" var(--MTLB), 
"NWID" var(--NWID), 
"PHPX" var(--PHPX), 
"PURS" var(--PURS), 
"RAKU" var(--RAKU), 
"SWFT" var(--SWFT), 
"THND" var(--THND), 
"VAAA" var(--VAAA), 
"VAAB" var(--VAAB), 
"VAAC" var(--VAAC), 
"VAAD" var(--VAAD), 
"VAAE" var(--VAAE), 
"VAAF" var(--VAAF), 
"VAAG" var(--VAAG), 
"VAAH" var(--VAAH), 
"VAAI" var(--VAAI), 
"VAAJ" var(--VAAJ), 
"VAAK" var(--VAAK), 
"VDAA" var(--VDAA), 
"VDAB" var(--VDAB), 
"VDAC" var(--VDAC), 
"VDAD" var(--VDAD), 
"VLAA" var(--VLAA), 
"VLAB" var(--VLAB), 
"VLAC" var(--VLAC), 
"VLAD" var(--VLAD), 
"VLAE" var(--VLAE), 
"VLAF" var(--VLAF), 
"VLAG" var(--VLAG), 
"VRLG" var(--VRLG), 
"VSAA" var(--VSAA), 
"VSAB" var(--VSAB), 
"VSAC" var(--VSAC), 
"VSAD" var(--VSAD), 
"VSAE" var(--VSAE), 
"VSAF" var(--VSAF), 
"VSAG" var(--VSAG), 
"VSAH" var(--VSAH), 
"VSAI" var(--VSAI), 
"VSAJ" var(--VSAJ), 
"VSAK" var(--VSAK), 
"VSAL" var(--VSAL), 
"VSAM" var(--VSAM), 
"VSAN" var(--VSAN), 
"VSAO" var(--VSAO), 
"VSAQ" var(--VSAQ), 
"VSAR" var(--VSAR), 
"VSAS" var(--VSAS), 
"VSAT" var(--VSAT), 
"VXAA" var(--VXAA), 
"VXAB" var(--VXAB), 
"WFLM" var(--WFLM), 
"WWID" var(--WWID), 
"ccmp" var(--ccmp), 
"cv01" var(--cv01), 
"cv02" var(--cv02), 
"cv03" var(--cv03), 
"cv04" var(--cv04), 
"cv05" var(--cv05), 
"cv06" var(--cv06), 
"cv07" var(--cv07), 
"cv08" var(--cv08), 
"cv09" var(--cv09), 
"cv10" var(--cv10), 
"cv11" var(--cv11), 
"cv12" var(--cv12), 
"cv13" var(--cv13), 
"cv14" var(--cv14), 
"cv15" var(--cv15), 
"cv16" var(--cv16), 
"cv17" var(--cv17), 
"cv18" var(--cv18), 
"cv19" var(--cv19), 
"cv20" var(--cv20), 
"cv21" var(--cv21), 
"cv22" var(--cv22), 
"cv23" var(--cv23), 
"cv24" var(--cv24), 
"cv25" var(--cv25), 
"cv26" var(--cv26), 
"cv27" var(--cv27), 
"cv28" var(--cv28), 
"cv29" var(--cv29), 
"cv30" var(--cv30), 
"cv31" var(--cv31), 
"cv32" var(--cv32), 
"cv33" var(--cv33), 
"cv34" var(--cv34), 
"cv35" var(--cv35), 
"cv36" var(--cv36), 
"cv37" var(--cv37), 
"cv38" var(--cv38), 
"cv39" var(--cv39), 
"cv40" var(--cv40), 
"cv41" var(--cv41), 
"cv42" var(--cv42), 
"cv43" var(--cv43), 
"cv44" var(--cv44), 
"cv45" var(--cv45), 
"cv46" var(--cv46), 
"cv47" var(--cv47), 
"cv48" var(--cv48), 
"cv49" var(--cv49), 
"cv50" var(--cv50), 
"cv51" var(--cv51), 
"cv52" var(--cv52), 
"cv53" var(--cv53), 
"cv54" var(--cv54), 
"cv55" var(--cv55), 
"cv56" var(--cv56), 
"cv57" var(--cv57), 
"cv58" var(--cv58), 
"cv59" var(--cv59), 
"cv60" var(--cv60), 
"cv61" var(--cv61), 
"cv62" var(--cv62), 
"cv63" var(--cv63), 
"cv64" var(--cv64), 
"cv65" var(--cv65), 
"cv66" var(--cv66), 
"cv67" var(--cv67), 
"cv68" var(--cv68), 
"cv69" var(--cv69), 
"cv70" var(--cv70), 
"cv71" var(--cv71), 
"cv72" var(--cv72), 
"cv73" var(--cv73), 
"cv74" var(--cv74), 
"cv75" var(--cv75), 
"cv76" var(--cv76), 
"cv77" var(--cv77), 
"cv78" var(--cv78), 
"cv79" var(--cv79), 
"cv80" var(--cv80), 
"cv81" var(--cv81), 
"cv82" var(--cv82), 
"cv83" var(--cv83), 
"cv84" var(--cv84), 
"cv85" var(--cv85), 
"cv86" var(--cv86), 
"cv87" var(--cv87), 
"cv88" var(--cv88), 
"cv89" var(--cv89), 
"cv90" var(--cv90), 
"cv91" var(--cv91), 
"cv92" var(--cv92), 
"cv93" var(--cv93), 
"cv94" var(--cv94), 
"cv95" var(--cv95), 
"cv96" var(--cv96), 
"cv97" var(--cv97), 
"cv98" var(--cv98), 
"cv99" var(--cv99), 
"dnom" var(--dnom), 
"locl" var(--locl), 
"numr" var(--numr), 
"ss01" var(--ss01), 
"ss02" var(--ss02), 
"ss03" var(--ss03), 
"ss04" var(--ss04), 
"ss05" var(--ss05), 
"ss06" var(--ss06), 
"ss07" var(--ss07), 
"ss08" var(--ss08), 
"ss09" var(--ss09), 
"ss10" var(--ss10), 
"ss11" var(--ss11), 
"ss12" var(--ss12), 
"ss13" var(--ss13), 
"ss14" var(--ss14), 
"ss15" var(--ss15), 
"ss16" var(--ss16), 
"ss17" var(--ss17), 
"ss18" var(--ss18), 
"ss20" var(--ss20), 
"mark" var(--mark), 
"mkmk" var(--mkmk); 
 }
}
*/




